Subject: Re: [RFC 0/3] Make git more user-friendly during a merge conflict

From: Charles Bailey <[email-masked]>
Date: Fri, 28 Feb 2014 09:14:26 +0000

On Fri, Feb 28, 2014 at 03:01:53AM -0600, Stephen Leake wrote:
> Jonathan Nieder <[email-masked]> writes:
> > And for experienced users, this would be a bad regression.
> 
> Backward incompatibility is a real concern.
> 
> It might be best if "git reset" (with _no_ option) be made to error out,
> so all users have to specify what they want.

This is just as much of a regression (if less dangerous) as changing
the default behaviour of git reset to touch the working tree.

'git reset' is a very, very common action for me and simply means
'reset [my index] [to HEAD]'. I frequently find myself resetting so
that I can stage something a bit different to what I had originally
intended.